diff --git a/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.c b/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.c
index 0ba1936..4277c26 100644
--- a/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.c
+++ b/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.c
@@ -61,7 +61,7 @@ static char *times[] = { "0:04",
 				  "1:59 PDT",
 				  "13:24:40 -8:00",
 				  "13:24:40.495+3",
-				  "13:24:40.123456789+3",
+				  "13:24:40.123456123+3",
 				  NULL };
 
 char *intervals[] = { "1 minute",
@@ -145,7 +145,8 @@ main(void)
 				sprintf(t, "%s %s", dates[i], times[j]);
 				ts1 = PGTYPEStimestamp_from_asc(t, NULL);
 				text = PGTYPEStimestamp_to_asc(ts1);
-				if (i != 19 || j != 3) /* timestamp as integer or double differ for this case */
+				/* skip outputs sensitive to USE_INTEGER_DATETIMES */
+				if (i != 19 || (j != 3 && j != 4))
 					printf("TS[%d,%d]: %s\n",
 						i, j, errno ? "-" : text);
 				free(text);
diff --git a/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.stdout b/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.stdout
index 9a4587b..941bffb 100644
--- a/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.stdout
+++ b/src/interfaces/ecpg/test/expected/pgtypeslib-dt_test2.stdout
@@ -103,7 +103,6 @@ Date[19]: 0099-01-08 BC (N - F)
 TS[19,0]: 0099-01-08 00:04:00 BC
 TS[19,1]: 0099-01-08 01:59:00 BC
 TS[19,2]: 0099-01-08 13:24:40 BC
-TS[19,4]: 0099-01-08 13:24:40.123456 BC
 Date[20]: - (N - T)
 Date[21]: - (N - T)
 interval[0]: @ 1 min
diff --git a/src/interfaces/ecpg/test/pgtypeslib/dt_test2.pgc b/src/interfaces/ecpg/test/pgtypeslib/dt_test2.pgc
index a127dd9..0bd1fec 100644
--- a/src/interfaces/ecpg/test/pgtypeslib/dt_test2.pgc
+++ b/src/interfaces/ecpg/test/pgtypeslib/dt_test2.pgc
@@ -43,7 +43,7 @@ static char *times[] = { "0:04",
 				  "1:59 PDT",
 				  "13:24:40 -8:00",
 				  "13:24:40.495+3",
-				  "13:24:40.123456789+3",
+				  "13:24:40.123456123+3",
 				  NULL };
 
 char *intervals[] = { "1 minute",
@@ -110,7 +110,8 @@ main(void)
 				sprintf(t, "%s %s", dates[i], times[j]);
 				ts1 = PGTYPEStimestamp_from_asc(t, NULL);
 				text = PGTYPEStimestamp_to_asc(ts1);
-				if (i != 19 || j != 3) /* timestamp as integer or double differ for this case */
+				/* skip outputs sensitive to USE_INTEGER_DATETIMES */
+				if (i != 19 || (j != 3 && j != 4))
 					printf("TS[%d,%d]: %s\n",
 						i, j, errno ? "-" : text);
 				free(text);
